Bug 539180 - KMS forcing LVDS laptop display active with lid closed
Summary: KMS forcing LVDS laptop display active with lid closed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 17:07 UTC by Orion Poplawski
Modified: 2010-12-04 03:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 03:09:04 UTC


Attachments (Terms of Use)
dmesg - intel - kms (33.88 KB, text/plain)
2009-11-19 17:07 UTC, Orion Poplawski
no flags Details
dmesg - intel - nomodeset (31.56 KB, text/plain)
2009-11-19 17:08 UTC, Orion Poplawski
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 11455 None None None Never

Description Orion Poplawski 2009-11-19 17:07:37 UTC
Created attachment 372029 [details]
dmesg - intel - kms

Description of problem:

We have a lot of laptops with docks that run with the lid closed.  On two machines now with F12, one Intel one Ati Radeon, KMS appears to be forcing the LVDS port active.  I've heard chatter in other bug reports that this may be fixed at least for intel in the 2.6.32 kernels.

Running with nomodeset on the intel machine keeps LVDS inactive, but I see lots of display corruption.

Version-Release number of selected component (if applicable):
2.6.31.5-127.fc12.i686.PAE

Comment 1 Orion Poplawski 2009-11-19 17:08:18 UTC
Created attachment 372033 [details]
dmesg - intel - nomodeset

Comment 2 Orion Poplawski 2009-11-26 04:42:29 UTC
I'm seeing this on every laptop I've installed F12 on so far.  Any hope to get lid closed detection in, or is this an Xorg issue?

Comment 3 Orion Poplawski 2010-01-04 16:51:45 UTC
Hello?  Is there any way to disable the internal display when an external display is connected?

Comment 4 Orion Poplawski 2010-03-04 17:00:02 UTC
Ping?  Anything more I can do to help with this?

Comment 5 Orion Poplawski 2010-07-02 16:35:45 UTC
This appears to be the proper upstream bug.  Seeing with:

2.6.33.5-124.fc13.x86_64
01:00.0 VGA compatible controller: ATI Technologies Inc M56GL [Mobility FireGL V5250]

login screen is displayed on the closed LVDS display, making things difficult.

Should we re-assign to X folks?

Comment 6 Orion Poplawski 2010-07-14 21:23:00 UTC
According to https://bugs.freedesktop.org/show_bug.cgi?id=28936 it is up to the desktop environment to disable the LVDS display.  This doesn't seem correct to me, but ah well.

So, in Fedora, who if anyone should be in charge of deactivating the LVDS display if the lid is closed - kernel, X, or DE (KDE, Gnome, etc).  I would hope kernel or X since otherwise there would be different results for each of the different DEs.  Yuck.

Comment 7 Pasi Karkkainen 2010-09-04 10:29:37 UTC
There's a related bug here: https://bugzilla.redhat.com/show_bug.cgi?id=595644

How do we get this issue fixed?

Comment 8 Pasi Karkkainen 2010-10-03 13:39:30 UTC
I was discussing this with Alex Deucher (radeon/drm driver developer) and he
confirmed this is expected behaviour, the internal LVDS is always reported as
'connected' so it's also always enabled.

It's up to the userspace to check the ACPI lid status and disable/enable
outputs based on that.

So this is a 'feature' in the driver, and the proper decisions should be made
by userspace components.. plymouth/gdm/Xorg/gnome-power-manager or something..

Comment 9 Bug Zapper 2010-11-04 06:02:08 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-12-04 03:09:04 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.